Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007962TestLinkTest Plan - Add/Remove Test Casespublic2017-06-02 12:592017-06-06 16:06
Reportergsudershan 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007962: No Test Case available exception shows while filtering the cases by importance for add/remove cases.
DescriptionSteps to reprodcue:

1. login to testlink
2. Assuming the cases are added to the plan which are high/medium/low combination.
3. go to add/remove test cases.
4. select the plan
5. apply the filter as medium and click apply.
6. post filtering of cases, click on respective suites

Expected: system should show the cases highlighted with yellow and user should be able remove the cases.

actual: system is is not showing the cases throwing exception No Test Case available.
Steps To ReproduceSteps to reprodcue:

1. login to testlink
2. Assuming the cases are added to the plan which are high/medium/low combination.
3. go to add/remove test cases.
4. select the plan
5. apply the filter as medium and click apply.
6. post filtering of cases, click on respective suites

Expected: system should show the cases highlighted with yellow and user should be able remove the cases.

actual: system is is not showing the cases throwing exception No Test Case available.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon No Test Case Available..png [^] (73,156 bytes) 2017-06-02 12:59


xml file icon tl194-QA-Repo-20120819.xml [^] (84,058 bytes) 2017-06-03 08:13
png file icon Screen Shot 2017-06-03 at 10.09.56.png [^] (169,667 bytes) 2017-06-03 08:14


png file icon Screen Shot 2017-06-03 at 10.10.17.png [^] (133,954 bytes) 2017-06-03 08:14


docx file icon 7962-Snapshot.docx [^] (104,393 bytes) 2017-06-06 14:10

- Relationships

-  Notes
(0026440)
fman (administrator)
2017-06-03 07:54

1. testlink version is needed
2. better details to construct use case are always needed
(0026441)
fman (administrator)
2017-06-03 08:13

1. fresh install of latest code from github
2. create test project QAZ
3. import attached file
4. go to manage test spec, test suite API => choose 1 test case and set importante=HIGH
5. go to manage test spec, test suite Issue Tracker Managemnt => choose 2 test cases and set importante=LOW
6. create test plan TPLAN-A
7. go to add test cases => apply filter in importance, everything works as expected => see attached images
(0026450)
gsudershan (reporter)
2017-06-06 14:10
edited on: 2017-06-06 14:12

Thank you fman for looking into this issue and giving your feedback.

apologies for not adding the version details, below are the details which are requested.

Test Link Version: 1.9.7
DB: MySQL
OS: Window sever 2008 R2 standard


adding the attachment with more details.

any specific files require changes which will solve the problem.
or do we need to upgrade.

kindly suggest.

(0026451)
fman (administrator)
2017-06-06 16:06

1.9.7 has no more support.
you need to upgrade to 1.9.16 following instructions present in README present on each testlink release.

- Issue History
Date Modified Username Field Change
2017-06-02 12:59 gsudershan New Issue
2017-06-02 12:59 gsudershan File Added: No Test Case Available..png
2017-06-03 07:54 fman Note Added: 0026440
2017-06-03 08:13 fman Note Added: 0026441
2017-06-03 08:13 fman File Added: tl194-QA-Repo-20120819.xml
2017-06-03 08:14 fman File Added: Screen Shot 2017-06-03 at 10.09.56.png
2017-06-03 08:14 fman File Added: Screen Shot 2017-06-03 at 10.10.17.png
2017-06-03 08:14 fman Assigned To => fman
2017-06-03 08:14 fman Status new => feedback
2017-06-06 14:10 gsudershan Note Added: 0026450
2017-06-06 14:10 gsudershan Status feedback => assigned
2017-06-06 14:10 gsudershan File Added: 7962-Snapshot.docx
2017-06-06 14:12 gsudershan Note Edited: 0026450 View Revisions
2017-06-06 16:06 fman Note Added: 0026451
2017-06-06 16:06 fman QA Team - Task Workflow Status => TBD
2017-06-06 16:06 fman Status assigned => closed
2017-06-06 16:06 fman Resolution open => fixed
2017-06-06 16:06 fman Fixed in Version => 1.9.17 (2018 Q1)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker